Opened 12 years ago

Closed 12 years ago

#489 closed defect (fixed)

"unique" segment id's repeated: planet file contains two pairs of duplicate segments

Reported by: David Earl Owned by: steve@…
Priority: critical Milestone:
Component: api Version:
Keywords: Cc:

Description

Oh dear, the planet file for May 30, 2007 contains two pairs of duplicate segments: they have the same id. Surely id's are unique, yes? Isn't that the point? It doesn't look like they are new, but it wasn't like this last week or I'd have noticed.

Is this just a problem generating the planet file, or indicative of an underlying data integrity problem?

(There may be other duplicated, but my planet processing program crashed trying to do an insert on a duplicate primary key)

Excerpt below... 18591604 and 18591605 are the culprits, and this is a contiguous section of the file.

(Also, note that 18591606 doesn't have any useful tags and 18591607 is empty.)


<segment id="18591603" from="22542877" to="22542874" timestamp="2007-05-11T08:24:21+01:00">

<tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS(could be inacurately)" />

</segment> <segment id="18591604" from="22542876" to="22542878" timestamp="2006-12-31T00:20:10+00:00">

<tag k="natural" v="coastline" /> <tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS" />

</segment> <segment id="18591605" from="22542869" to="22542875" timestamp="2006-12-31T00:20:10+00:00">

<tag k="natural" v="coastline" /> <tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS" />

</segment> <segment id="18591604" from="22542876" to="22542878" timestamp="2006-12-31T00:20:10+00:00">

<tag k="natural" v="coastline" /> <tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS" />

</segment> <segment id="18591605" from="22542869" to="22542875" timestamp="2006-12-31T00:20:10+00:00">

<tag k="natural" v="coastline" /> <tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS" />

</segment> <segment id="18591606" from="22542879" to="22542877" timestamp="2007-05-11T08:24:37+01:00">

<tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS(could be inacurately)" />

</segment> <segment id="18591607" from="22542173" to="22542182" timestamp="2006-12-31T00:20:10+00:00"/> <segment id="18591608" from="22542880" to="22542881" timestamp="2006-12-31T00:20:10+00:00">

<tag k="natural" v="coastline" /> <tag k="created_by" v="almien_coastlines" /> <tag k="source" v="PGS" />

</segment>

Change History (1)

comment:1 Changed 12 years ago by Tom Hughes

Resolution: fixed
Status: newclosed

This should now be impossible as there is now a primary key on the segment ID in the database, and various bugs in the API that could previously have allowed this happen have now been fixed.

Note: See TracTickets for help on using tickets.